Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class VlanResourceSubscription

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.oss.systems.inventory.resource.common.bean.VlanResourceSubscription

All Implemented Interfaces:
  `Serializable`, `Idable`

public class VlanResourceSubscription extends Id

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final short`
  `SUBSCRIBER_TYPE_ACCOUNT`
  `static final short`
  `SUBSCRIBER_TYPE_CONTRACT`
  `static final short`
  `SUBSCRIBER_TYPE_DEVICE`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VlanResourceSubscription()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getSubscriberId()`
  `String`
  `getSubscriberTitle()`
  `short`
  `getSubscriberType()`
  `int`
  `getVlan()`
  `int`
  `getVlanResourseId()`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setSubscriberId(int subscriberId)`
  `void`
  `setSubscriberTitle(String subscriberTitle)`
  `void`
  `setSubscriberType(short subscriberType)`
  `void`
  `setVlan(int vlan)`
  `void`
  `setVlanResourseId(int vlanResourseId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### SUBSCRIBER_TYPE_CONTRACT

    public static final short SUBSCRIBER_TYPE_CONTRACT
    See Also:
      - Constant Field Values

  - ### SUBSCRIBER_TYPE_ACCOUNT

    public static final short SUBSCRIBER_TYPE_ACCOUNT
    See Also:
      - Constant Field Values

  - ### SUBSCRIBER_TYPE_DEVICE

    public static final short SUBSCRIBER_TYPE_DEVICE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VlanResourceSubscription

    public VlanResourceSubscription()

- ## Method Details

  - ### getVlanResourseId

    public int getVlanResourseId()

  - ### setVlanResourseId

    public void setVlanResourseId(int vlanResourseId)

  - ### getVlan

    public int getVlan()

  - ### setVlan

    public void setVlan(int vlan)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### getSubscriberType

    public short getSubscriberType()

  - ### setSubscriberType

    public void setSubscriberType(short subscriberType)

  - ### getSubscriberId

    public int getSubscriberId()

  - ### setSubscriberId

    public void setSubscriberId(int subscriberId)

  - ### getSubscriberTitle

    public String getSubscriberTitle()

  - ### setSubscriberTitle

    public void setSubscriberTitle(String subscriberTitle)